This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 783249 - Cleanup before exiting when assert_on_child_down is enabled
Cleanup before exiting when assert_on_child_down is enabled
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
3.2.5
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks: 811632 815039 817967
  Show dependency treegraph
 
Reported: 2012-01-19 13:50 EST by Vijay Bellur
Modified: 2013-07-24 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 815039 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.2.6qa3
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2012-01-19 13:50:26 EST
Description of problem:

When assert_on_child_down is enabled, glusterfs process exits without providing an opportunity to do cleanup before exiting. This needs to be corrected.

Version-Release number of selected component (if applicable):
3.2.5

How reproducible:
Always

Steps to Reproduce:
1. Enable assert_on_child_down in dht
2. Bring a brick down

  
Actual results:

A stale client mount is seen

Expected results:

Stale client mount should not be seen
Additional info:
Comment 1 Anand Avati 2012-01-24 11:36:41 EST
CHANGE: http://review.gluster.com/2682 (cluster/dht: Exit clean when assert_no_child_down is enabled) merged in release-3.2 by Anand Avati (avati@gluster.com)
Comment 2 shylesh 2012-02-17 04:18:04 EST
1. Created a distribute volume with 3 bricks
2. mounted using the command "/opt/glusterfs/3.2.6qa3/sbin/glusterfs --log-level=INFO --xlator-option=dist*.assert-no-child-down=yes --volfile-id=/dist --volfile-server=10.1.11.117 /mnt"
3. cd /mnt
4. killed one of the brick
5. cd /
6. client was automatically unmounted


Marking as verified
Comment 3 Anand Avati 2012-02-19 04:42:54 EST
CHANGE: http://review.gluster.com/2664 (cluster/dht: Exit clean when assert_no_child_down is enabled) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.